javax.management.relation

## Class InvalidRoleInfoException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.management.JMException
      - - javax.management.relation.RelationException
        - - javax.management.relation.InvalidRoleInfoException

- All Implemented Interfaces:
    Serializable

      public class InvalidRoleInfoException
      extends RelationException

  This exception is raised when, in a role info, its minimum degree is greater than its maximum degree.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidRoleInfoException()` Default constructor, no message put in exception.
    `InvalidRoleInfoException(String message)` Constructor with given message put in exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidRoleInfoException

          public InvalidRoleInfoException()

      Default constructor, no message put in exception.

    - #### InvalidRoleInfoException

          public InvalidRoleInfoException(String message)

      Constructor with given message put in exception.
      Parameters:
        `message` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.